## ipe-0.3.1.tar.gz

=== doc/book/Makefile ===
PROJECT=main
FINAL_NAME=iPE-User-Guide.pdf
PSTOEPS=ps2eps
LATEX=latex
BIBTEX=bibtex
DVIPDF=dvipdf
LATEXTOHTML=latex2html

PICTURES= 
PS=$(PICTURES:=.ps)
EPS=$(PICTURES:=.eps)
BBL=$(PROJECT:=.bbl)
INTERMEDIATE= $(PROJECT:=.aux) $(PROJECT:=.lof) $(PROJECT:=.log)
PRODUCTS=$(PROJECT:=.toc) $(PROJECT:=.dvi) $(PROJECT:=.pdf)
HTMLOPTS=-split 0 -info 0 -no_navigation -address 0

CLEAN=$(EPS) $(INTERMEDIATE) $(PRODUCTS) $(BBL) *.blg

.PHONY: all clean

%.bbl: %.bib
	$(LATEX) $(<:.bib=)
	$(BIBTEX) $(<:.bib=)

%.eps: %.ps
	$(PSTOEPS) $<

$(PROJECT): $(BBL) $(EPS)
	$(LATEX) $(PROJECT)
	$(LATEX) $(PROJECT)
	$(DVIPDF) $(PROJECT)
	mv $(PROJECT).pdf $(FINAL_NAME)

html: 
	$(LATEXTOHTML) $(HTMLOPTS) $(PROJECT)

clean:
	@for f in $(CLEAN); do \
		if [ -f $$f ]; then \
			rm -f $$f ; \
			echo "Removing $$f" ; \
		else : ; \
		fi ; \
	done
