=== debian/changelog ===
ipe (0.3.1) unstable; urgency=low

    * No tests in the MANIFEST
    * Re-adding finalize script
    * Changes to the greeting in the book to be consistent with current 

  0.3.1 version
 -- Robert Paul Zimmermann <rpz@cse.wustl.edu>  Thu, 26 July 2007 13:12:00 -0600

ipe (0.3.0) unstable; urgency=low

    * Restoring gcc optimizations
    * Fixed up install script
    * Fixed up man pages

 -- Robert Paul Zimmermann <rpz@cse.wustl.edu>  Tue, 25 July 2007 13:12:00 -0600

ipe (0.2.9) unstable; urgency=low

    * BUG FIX:  Sam's code assigns to an array index that he doesn't allocate.
      This will step on other memory sometimes and cause a crash.  This is
      eliminated now.
    * More freeing of memory (leaks eliminated with valgrind)
    * BNTree uses topology and model type from its own object rather than the
      globals module.
    * redirecting stdout and stderr is not cross-platform friendly.  
      Directly commented out the fprintfs in Sam's code.
    * removed all other _models tags from the gHMM DTD definition

 -- Robert Paul Zimmermann <rpz@cse.wustl.edu>  Tue, 24 July 2007 13:12:00 -0600

ipe (0.2.7) unstable; urgency=low

    * Default value of randomSeed is now the return value of time() on calling
    * Fixed a message bug for the maximizing parameters step

 -- Robert Paul Zimmermann <rpz@cse.wustl.edu>  Wed, 11 July 2007 13:12:00 -0600

ipe (0.2.6) unstable; urgency=low

    * Correcting the incorrect nscanTree error messages to nscanTopology
    * Changing package name to perl-ipe
    * Fixing MANIFEST

 -- Robert Paul Zimmermann <rpz@cse.wustl.edu>  Wed, 11 July 2007 12:02:00 -0600

ipe (0.2.4) unstable; urgency=low

    * Reviving deprecated gHMM test
    * Reviving old test gHMMs
    * Simplified zhmm output so the sequence tags are automatically generated
    * Added (missing) finalized zhmm files for nscan checks in 002
    * Added a check to see if a zhmm is missing before comparing it
    * Fixed some of the zoe irregular sequence types
    * Added warning in convert script for the use of WWAMs.
    * Adding D.mel and C.el gHMM files
    * Fixed off-by-one line width bug in convert script
    * Adding finalization to check_all_gHMMs script
    * Fixed a test bug that causes finalize to run when unneeded

 -- Robert Paul Zimmermann <rpz@cse.wustl.edu>  Fri, 01 June 2007 12:02:00 -0600

ipe (0.2.2) unstable; urgency=low
    * Added ELUT model for Aaron's tiling array data
    * Added Array sequence class
    * moved to testing on chr20 for gene density and tiling array sequence.
      (regression tests were performed on 0.1.60 to verify the new sequences)
    * added an option to generic testing to specify instance template
    * updated the URL for Brent lab home page

 -- Robert Paul Zimmermann <rpz@cse.wustl.edu>  Fri, 01 June 2007 12:02:00 -0600

ipe (0.2.1) unstable; urgency=low

    * make_instance_file removes basedir attr from gHMM and feature_map elements
    * fixed rules file to install scripts

 -- Robert Paul Zimmermann <rpz@cse.wustl.edu>  Fri, 25 May 2007 12:02:00 -0600

ipe (0.2.0) unstable; urgency=low

    * added functionality to generate flat file training/testing sets.
    * added functionality to convert old BNTREE model gHMMs to new ones.
    * moved greeting message out to ipestimate script
    * more verbose usage statement
    * verbose death when obsolete gHMM is presented
      (old gHMMs are still handled in the code, should be cleaned up)
    * added more updated data fields to OEM gHMM files.
    * removed deprecated warning from iPE::Model::Emission;
      this is done in iPE::gHMM now
    * updated Makefile.PL to handle linking bntree binary
    * fixed test 006 (didn't output correct filename)
    *  ADDED N-SCAN MAXIMIZATION:
      * BNTREE* emission models
      * iPE::Model::BNTree handles optimization/interface to sam's code
      * updated test OK files that didn't previously have phylo params
      * added nscanTopology, nscanModel and keepSSFiles options

 -- Robert Paul Zimmermann <rpz@cse.wustl.edu>  Fri, 25 May 2007 12:02:00 -0600

ipe (0.1.63) unstable; urgency=low

    * added functionality to format converted gHMMs in the conversion script
    * remove all leading and trailing whitespace from text nodes in 
      iPE::XML::Object
    * refactored tests so that redundant code is unnecessary
    * added a test for the make_instance_file script.
    * Relaxed the requirement for a 'conservation_model', 'est_model' tag.
      Now anything can be lumped into the sequence_model tag in the gHMM.
    * Relaxed the requirement for 'est_files', 'cons_files' ,etc. tag.
      Everything should just use 'seq_files', tag.
    * Updated all gHMMs for the above two guidelines
    * Updated make_instance_file script to generate sequence types automatically
      (No update is needed after a new sequence type is created)
    * Fixed 004 and 005 tests (EM needed a fixed random seed to verify)
    * Changed iPE::XML::Object to get rid of all flanking whitespace from
      PCDATA lines.
    * Added an old to new format conversion script.
    * Added a gHMM validator script
    * Added a globals module
    * Added an old-style (deprecated, pre-data-attribute change) gHMM test.
    * Added a test for testing nscan parameters.
    * Changed classnames for sequences to begin simplifying the addition of new
      sequences (see ticket #12)
    * Fixed option setting in finalize script.
    * Fixed clean feature in book Makefile
    * Updated README
    * Fixing bug in random seed code and adding test for it

 -- Robert Paul Zimmermann <rpz@cse.wustl.edu>  Tue, 17 May 2007 12:02:00 -0600

ipe (0.1.59) unstable; urgency=low
    * adding new settings framework for the data attributes
    * specified a little more with the feature mapping error
    * created the beginnings of a test suite for validating updates to ipe.
    * removed unused null_region_definition DTD sections in iPE_instance

