=== debian/control ===
Source: ipe
Section: perl
Priority: extra
Maintainer: Bob Zimmermann <rpz@cse.wustl.edu>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: ipe-perl
Architecture: any
Depends: libxml-libxml-perl, libxml-checker-perl, eval-perl
Description: Parameter estimation for generalized hidden Markov models
 Parameter estimation software for generalized hidden Markov models.
 For information and documentation, see http://mblab.wustl.edu.
